/***************************************************************************

  BionxControl
  © 2025 -2026 christoph holzheuer
  christoph.holzheuer@gmail.com

  Using:

  mhs_can_drv.c
  © 2011 - 2023 by MHS-Elektronik GmbH & Co. KG, Germany
  Klaus Demlehner, klaus@mhs-elektronik.de
  @see www.mhs-elektronik.de

  Based on Bionx data type descriptions from:

  BigXionFlasher USB V 0.2.4 rev. 97
  © 2011-2013 by Thomas Koenig <info@bigxionflasher.org>
  @see www.bigxionflasher.org

  Bionx Bike Info
  © 2018 Thorsten Schmidt (tschmidt@ts-soft.de)
  @see www.ts-soft.de

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
  @see https://github.com/bikemike/bionx-bikeinfo

 ***************************************************************************/


#include <QMetaEnum>

#include <bcvalue.h>


///-------------------------------


BCValue::BCValue( BCDevice::ID deviceID_, BC::ID registerID_)
  : deviceID{deviceID_}, registerID{registerID_}
{
  visibleValue = "--";
}

QString BCValue::formatValue( uint32_t value ) const
{
  if( factor == 1 )
    return QString::number( value );

  double result = value * factor;
  return QString::number(result, 'f', 2);
}

void BCValue::dumpValue() const
{

  qDebug() << "DeviceID: " << deviceID << " Register: " << registerID << " state:" " << state << " << " label: " << label;
  qDebug() << "visibleValue: " << visibleValue << " min: " << min << " max: " << max << " factor: " << factor  << " ValueType: " << (char)valueType << " ";
  qDebug() << "indexRow: " << indexRow << " isWord: " << isWord;
  qDebug();

}

/// ----
